summaryrefslogtreecommitdiff
path: root/dev-python/google-api-core
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-08 20:55:35 -0500
committerCrucible <crucible@localhost>2026-10-08 20:55:35 -0500
commit010e9f026af7b24ae016a3d084cc03f3198fae6e (patch)
treeb04639857933458c83309f7f116a0553f8623111 /dev-python/google-api-core
parentac0126af4bbed1cc9dd34c9d8394875eb06f1ad9 (diff)
downloadsrcux-010e9f026af7b24ae016a3d084cc03f3198fae6e.tar.gz
srcux-010e9f026af7b24ae016a3d084cc03f3198fae6e.tar.xz
srcux-010e9f026af7b24ae016a3d084cc03f3198fae6e.zip
Publish srcux candidate 0000000591-20261008-205339
Diffstat (limited to 'dev-python/google-api-core')
-rw-r--r--dev-python/google-api-core/Manifest2
-rw-r--r--dev-python/google-api-core/google-api-core-2.42.0.ebuild58
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index ba16599107ec..533c658e6f7c 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -14,3 +14,5 @@ DIST google_api_core-2.40.0.tar.gz 258617 BLAKE2B 8f4fbf7d6f7cb07abc8d469d0bc0fd
DIST google_api_core-2.40.0.tar.gz.provenance 6058 BLAKE2B 238637ca846df09fd4c2c82b4bcfcda08cfd5bbd9a214ae592a47e9741d4833101dde492ec7573e48e6241f24356cdada0acfda36b91fb3480b54801909bc065 SHA512 cef6324a99f54a74f6473db32f58509801e11cd2a5628a1127bb0f3721518c678d390b8578c2814defea8670b730ad731601c7c41f1aeeb040009802a9485c50
DIST google_api_core-2.41.0.tar.gz 262821 BLAKE2B 3e39e23f9285ad49557a3604451a39fb40289124198975532227c745fce740387375e2fdc24345041bf25ab61731d2f5415c8b0a04085531b837aad685e659dc SHA512 71b8b25e126c146068c0a8a348d893f78fdc9d057f44b67b536b0be49f06ae477c3a73f8e8883fe6dea6c4c2dcdb1c2ceb272ceb8b17dd9373fb84469d7b6f3d
DIST google_api_core-2.41.0.tar.gz.provenance 5917 BLAKE2B bf95f467af1d754cc674d84759f49247d078dcd0dc23b429d3e362fd2837c0db4fc8413ad97550645b573ab2f182528969eb730e01566375152c2e36b6dee6d7 SHA512 b4125da55a260cee4122c12c7055f4d2ef7cabc8eb408857fe882f7a2beabe788f896cf762c896b5e109ebd31f9c2311afe776a42fbbe2f847cf389545a1a66f
+DIST google_api_core-2.42.0.tar.gz 273100 BLAKE2B 1a171d8f2adec18e832cadc21b0136e26515bf9e407e643ec1e63536089864d3e9bb77a1a098ec611bc98bfc523afe32f58870f4e0d558027b1bd6f6c55c79da SHA512 67e6d788eeacef218c2258ed3351978e4cbca02c17b5423d703727b7e15c49997b3f212f34df1e4361c69ad98157a3ea48c2283e06cb998a993a8c41574a3dd6
+DIST google_api_core-2.42.0.tar.gz.provenance 5711 BLAKE2B c69a4d6b14cfa15addb06e313bf79938a36bc606b43a44b17a64ae8f2f409532dd347f47c7af4ffc890260edec7b58ec2d157aebc73a703df95c213d50117271 SHA512 1e6690922d48d691d53f57a827a4db8aace954c4c9e8e9d1c2c765ba2fe7da39687eb859fac438bfe52779e18f5fd8e19a10a43a53b7ea22ed5b5261310759e4
diff --git a/dev-python/google-api-core/google-api-core-2.42.0.ebuild b/dev-python/google-api-core/google-api-core-2.42.0.ebuild
new file mode 100644
index 000000000000..2b11a77adbaf
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.42.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=gcp:google-cloud-sdk-py@oss-exit-gate-prod.iam.gserviceaccount.com
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/google-cloud-python/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.69.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ <dev-python/opentelemetry-api-2[${PYTHON_USEDEP}]
+ >=dev-python/opentelemetry-api-1.44.0[${PYTHON_USEDEP}]
+ >=dev-python/proto-plus-1.26.1[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-6.33.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.33.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ grpc? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/opentelemetry-sdk-1.44.0[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,mock} )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # The grpc_gcp module is missing to perform a stress test
+ tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+ rm -rf google || die
+ epytest tests
+}